Ideal::ExponentAllocator Class Reference

`#include <Ideal.h>`

## Public Member Functions

| ExponentAllocator (size_t varCount)
| ~ExponentAllocator ()
Exponent * | allocate ()
void | reset (size_t newVarCount)
void | swap (ExponentAllocator &allocator)

## Private Member Functions

| ExponentAllocator (const ExponentAllocator &)
ExponentAllocator & | operator= (const ExponentAllocator &)
bool | useSingleChunking () const

## Private Attributes

size_t | _varCount
Exponent * | _chunk
Exponent * | _chunkIterator
Exponent * | _chunkEnd
vector< Exponent * > | _chunks

## Detailed Description

Definition at line 290 of file Ideal.h.

## Constructor & Destructor Documentation

## ExponentAllocator() [1/2]

Ideal::ExponentAllocator::ExponentAllocator | ( | size_t | varCount | ) |

Definition at line 738 of file Ideal.cpp.

## ~ExponentAllocator()

Ideal::ExponentAllocator::~ExponentAllocator | ( |  | ) |

Definition at line 746 of file Ideal.cpp.

## ExponentAllocator() [2/2]

Ideal::ExponentAllocator::ExponentAllocator | ( | const ExponentAllocator & |  | ) |

private

## Member Function Documentation

## allocate()

Exponent * Ideal::ExponentAllocator::allocate | ( |  | ) |

Definition at line 750 of file Ideal.cpp.

## operator=()

ExponentAllocator & Ideal::ExponentAllocator::operator= | ( | const ExponentAllocator & |  | ) |

private

## reset()

void Ideal::ExponentAllocator::reset | ( | size_t | newVarCount | ) |

Definition at line 781 of file Ideal.cpp.

## swap()

void Ideal::ExponentAllocator::swap | ( | ExponentAllocator & | allocator | ) |

Definition at line 798 of file Ideal.cpp.

## useSingleChunking()

bool Ideal::ExponentAllocator::useSingleChunking | ( |  | ) | const

private

Definition at line 806 of file Ideal.cpp.

## Member Data Documentation

## _chunk

Exponent* Ideal::ExponentAllocator::_chunk

private

Definition at line 308 of file Ideal.h.

## _chunkEnd

Exponent* Ideal::ExponentAllocator::_chunkEnd

private

Definition at line 310 of file Ideal.h.

## _chunkIterator

Exponent* Ideal::ExponentAllocator::_chunkIterator

private

Definition at line 309 of file Ideal.h.

## _chunks

vector<Exponent*> Ideal::ExponentAllocator::_chunks

private

Definition at line 312 of file Ideal.h.

## _varCount

size_t Ideal::ExponentAllocator::_varCount

private

Definition at line 306 of file Ideal.h.

The documentation for this class was generated from the following files:

- src/Ideal.h
- src/Ideal.cpp